--- a/bin/pb Tue Jun 12 10:16:58 2012 -0400
+++ b/bin/pb Tue Jun 12 11:56:48 2012 -0400
@@ -1,3 +1,10 @@
#!/usr/bin/env bash
+set -e
+
curl -F 'sprunge=<-' http://paste.stevelosh.com | tr -d '\n' | pbcopy
+echo
+curl -s "`pbpaste`"
+tput bold
+echo ""
+echo "`pbpaste`"
--- a/fish/config.fish Tue Jun 12 10:16:58 2012 -0400
+++ b/fish/config.fish Tue Jun 12 11:56:48 2012 -0400
@@ -36,6 +36,8 @@
set PATH "/usr/local/Cellar/ruby/1.9.3-p194/bin" $PATH
+set PATH "/usr/local/Cellar/ruby/1.9.3-p125/bin" $PATH
+
set BROWSER open
set -g -x fish_greeting ''
@@ -51,6 +53,7 @@
set -g -x PYTHONSTARTUP "$HOME/.pythonrc.py"
set -g -x WORKON_HOME "$HOME/lib/virtualenvs"
+set PATH $PATH "/usr/local/share/python"
set PATH $PATH "/usr/local/Cellar/PyPi/3.6/bin"
set PATH $PATH "/usr/local/Cellar/python/2.7.1/bin"
set PATH $PATH "/usr/local/Cellar/python/2.7/bin"
--- a/gitconfig Tue Jun 12 10:16:58 2012 -0400
+++ b/gitconfig Tue Jun 12 11:56:48 2012 -0400
@@ -22,8 +22,10 @@
gll = log --color=always --all --graph --topo-order --pretty='format:%Cgreen%h%Creset %s %C(black bold)(by %an)%Creset%C(yellow bold)%d%Creset%n'
pull = pull --ff-only
+ up = merge --ff-only
+
merge = merge --no-ff
- up = merge --ff-only
+ join = merge --no-ff
ci = commit
cm = commit -m